package com.zbf.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TRkWareNoticeBak;
import com.zbf.system.domain.TRkWareNoticeTabBak;

/**
 * 入库通知单历史表Mapper接口
 *
 * @author tony
 * @date 2024-06-18
 */
public interface TRkWareNoticeBakMapper extends BaseMapper<TRkWareNoticeBak> //修改
{
    /**
     * 查询入库通知单历史表
     *
     * @param id 入库通知单历史表主键
     * @return 入库通知单历史表
     */
    public TRkWareNoticeBak selectTRkWareNoticeBakById(String id);

    public TRkWareNoticeBak selectTRkWareNoticeBakByNoticeId(String id);

    /**
     * 查询入库通知单历史表列表
     *
     * @param tRkWareNoticeBak 入库通知单历史表
     * @return 入库通知单历史表集合
     */
    public List<TRkWareNoticeBak> selectTRkWareNoticeBakList(TRkWareNoticeBak tRkWareNoticeBak);

    /**
     * 新增入库通知单历史表
     *
     * @param tRkWareNoticeBak 入库通知单历史表
     * @return 结果
     */
    public int insertTRkWareNoticeBak(TRkWareNoticeBak tRkWareNoticeBak);

    /**
     * 修改入库通知单历史表
     *
     * @param tRkWareNoticeBak 入库通知单历史表
     * @return 结果
     */
    public int updateTRkWareNoticeBak(TRkWareNoticeBak tRkWareNoticeBak);

    /**
     * 删除入库通知单历史表
     *
     * @param id 入库通知单历史表主键
     * @return 结果
     */
    public int deleteTRkWareNoticeBakById(String id);

    /**
     * 批量删除入库通知单历史表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTRkWareNoticeBakByIds(String[] ids);

    /**
     * 批量启用入库通知单历史表
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTRkWareNoticeBakByIds(String[] ids);

    /**
     * 批量禁用入库通知单历史表
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTRkWareNoticeBakByIds(String[] ids);


    /**
     * 批量删除入库通知单明细历史表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTRkWareNoticeTabBakByNoticeIds(String[] ids);

    /**
     * 批量新增入库通知单明细历史表
     *
     * @param tRkWareNoticeTabBakList 入库通知单明细历史表列表
     * @return 结果
     */
    public int batchTRkWareNoticeTabBak(List<TRkWareNoticeTabBak> tRkWareNoticeTabBakList);


    /**
     * 通过入库通知单历史表主键删除入库通知单明细历史表信息
     *
     * @param id 入库通知单历史表ID
     * @return 结果
     */
    public int deleteTRkWareNoticeTabBakByNoticeId(String id);
}
